Bug 445650 - Preupgrade + Grub + Anaconda + External HD
Preupgrade + Grub + Anaconda + External HD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 06:03 EDT by Jóhann B. Guðmundsson
Modified: 2009-07-14 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:28:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-05-08 06:03:45 EDT
Description of problem:

This one is interesting one :)

I was testing GUI friendlyness of Preupgrade so 
I installed FC8 on external USB connected HD took
the drive and plugged it to my mothers desktop machine and booted
of the drive and then I did let her go through the "preupgrade" phaze.

The everything went fine until it came to upgrade to rawhide.
Since this was an usb connected hd boots as sdb but when 
you choose upgrade to rawhide the drive gets remapped as sdc so
the path to the stage2.img is not sdb but sdc.

Somewhere along the line changing the grub entry to point to sdc instead of sdb
stop working as in when I tested this with my mother while ago and simple change
sdb to sdc anaconda could load and continue but now when I tried it again I just
get dropped to tui that wants me to select the correct path/partition/drive
which btw does not work.

Prepugrade gui run from gnome gets A+ from my mother
but D- when it comes to continue as in when you proceed ( upgrade to rawhide )
My mother expected that this should happen automaticly when she choose 
upgrade to rawhide and she totally got lost when she was in anaconda.
( Yes I know with ALL those options presented to her but then again she's old
not that familiar with computers and has little to no English understanding. ) 

A check needs to be added that goes something like this

Am I performing an upgrade on external connected drive. if so 
add the next partition letter for the stage2.img in grub ( sdb becomes sdc )
if not use current.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1.Run preugrade on external connected hd
2.
3.
  
Actual results:


Expected results:


Additional info:


Marlboro: My old man told me, before he left this shitty world, never chase
buses or women, you'll always be left behind. 

Guard: [Harley and Marlboro are robbing an armoured car] Who are you guys?
Marlboro: Well, he's Harley Davidson, and I'm the Marlboro Man.
Guard: You look like a bunch of two-bit hoods to me.
Harley Davidson: [the car's trunk explodes] Now does that look like the work of
two-bit hoods?
Guard: Yeah. Pros would've used my keys.
[Harley and Marlboro look at each other]
Harley Davidson: Well, he likes to blow things up.
Comment 1 Bug Zapper 2008-05-14 06:50:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:41:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:28:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.